Package com.abc.bluetoothTerminalfactory

# Class AbCircleBluetoothTerminalFactoryProvider

java.lang.Object
java.util.Dictionary<K,V>
java.util.Hashtable<Object,Object>
java.util.Properties
java.security.Provider
com.abc.bluetoothTerminalfactory.AbCircleBluetoothTerminalFactoryProvider

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map<Object,Object>`

public class AbCircleBluetoothTerminalFactoryProvider extends Provider
The class is a provider for the terminal factory service. It has a name, a version number, and a description. It also has a property that points to the name of the SPI class that implements the terminal factory

Example: TerminalFactory terminalFactory = TerminalFactory.getInstance("AbcBluetooth", BluetoothSmartCard.getInstance(this).getManager(), new AbCircleBluetoothTerminalFactoryProvider());

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.security.Provider

  `Provider.Service`

- ## Field Summary

  ### Fields inherited from class java.util.Properties

  `defaults`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbCircleBluetoothTerminalFactoryProvider()`

- ## Method Summary

  ### Methods inherited from class java.security.Provider

  `clear, compute, computeIfAbsent, computeIfPresent, configure, elements, entrySet, forEach, get, getInfo, getName, getOrDefault, getProperty, getService, getServices, getVersion, getVersionStr, isConfigured, keys, keySet, load, merge, put, putAll, putIfAbsent, putService, remove, remove, removeService, replace, replace, replaceAll, toString, values`

  ### Methods inherited from class java.util.Properties

  `clone, contains, containsKey, containsValue, equals, getProperty, hashCode, isEmpty, list, list, load, loadFromXML, propertyNames, rehash, save, setProperty, size, store, store, storeToXML, storeToXML, storeToXML, stringPropertyNames`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AbCircleBluetoothTerminalFactoryProvider

    public AbCircleBluetoothTerminalFactoryProvider()